protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
basic_pbf_writer.hpp File Reference

Contains the basic_pbf_writer template class. More...

`#include "buffer_tmpl.hpp"`
`#include "config.hpp"`
`#include "data_view.hpp"`
`#include "types.hpp"`
`#include "varint.hpp"`
`#include <cstddef>`
`#include <cstdint>`
`#include <cstring>`
`#include <initializer_list>`
`#include <iterator>`
`#include <limits>`
`#include <string>`
`#include <utility>`
Include dependency graph for basic_pbf_writer.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | protozero::basic_pbf_writer< TBuffer >

## Namespaces
namespace | protozero
| All parts of the protozero header-only library are in this namespace.

## Functions
template<typename TBuffer >
void | protozero::swap (basic_pbf_writer< TBuffer > &lhs, basic_pbf_writer< TBuffer > &rhs) noexcept

## Detailed Description

Contains the basic_pbf_writer template class.